Subject: Re: [PATCH 2/3] large-inode: New module

From: Eric Blake <[email-masked]>
Date: Mon, 08 Aug 2011 09:36:29 -0600

On 07/22/2011 04:10 PM, Paul Eggert wrote:
> On 07/22/11 10:45, Pádraig Brady wrote:
>> If it works it would be better in AC_SYS_LARGEFILE (as well) I think.
>
> OK, thanks, I pushed this into gnulib.  Assuming it works (and I don't
> see why it'd hurt) I'll push it into autoconf.

Ouch.  This commit broke libvirt 0.9.4, because it unintentionally broke 
large-file support altogether.  It will probably break any other 
packages that have picked up the latest gnulib in the last few days.

> Pádraig Brady suggested this in	<http://debbugs.gnu.org/9140#20>.
> * MODULES.html.sh: Add largefile, remove large-inode.
> * modules/largefile, m4/largefile.m4: New files.
> * modules/large-inode, m4/large-inode.m4: Remove.

> -
> -configure.ac-early:
> -AC_REQUIRE([gl_SYS_LARGE_INODE])
> -
> -configure.ac:
> -

> +
> +configure.ac:
> +AC_REQUIRE([AC_SYS_LARGEFILE])
> +
> +configure.ac:
> +

The first configure.ac should have been configure.ac-early; as a result 
of the duplicate listing, gnulib-tool completely omits AC_SYS_LARGEFILE 
from any configure.ac that was using the broken largefile module.  Test 
by looking at './configure --help | grep large' pre- and post-patch. 
I'm pushing this:

diff --git i/ChangeLog w/ChangeLog
index 72e7611..3fd0c47 100644
--- i/ChangeLog
+++ w/ChangeLog
@@ -1,3 +1,8 @@
+2011-08-08  Eric Blake  <[email-masked]>
+
+	largefile: fix typo that regressed large file support
+	* modules/largefile (configure.ac-early): Fix section name.
+
  2011-08-06  Karl Berry  <[email-masked]>

  	* MODULES.html.sh (func_all_files): _Noreturn is no longer
diff --git i/modules/largefile w/modules/largefile
index d4a2e4b..ca10d48 100644
--- i/modules/largefile
+++ w/modules/largefile
@@ -6,7 +6,7 @@ m4/largefile.m4

  Depends-on:

-configure.ac:
+configure.ac-early:
  AC_REQUIRE([AC_SYS_LARGEFILE])

  configure.ac:

-- 
Eric Blake   [email-masked]    +1-801-349-2682
Libvirt virtualization library http://libvirt.org